
//--------------------------------------------------------------------
// Jorrit Schulte © RGB Split Script & Presets v1.0     |
//--------------------------------------------------------------------

var Proj = app.project;
var AcComp = Proj.activeItem; 

var Selectedlayer = AcComp.selectedLayers;
   
var SplitLayer = Selectedlayer[0];

// Layers

var Controller = AcComp.layers.addNull();
Controller.name = "RGB Split Controller";

var RedLayer = SplitLayer.duplicate();
RedLayer.name = "Red";
RedLayer.blendingMode = BlendingMode.ADD;

var GreenLayer = SplitLayer.duplicate();
GreenLayer.name = "Green";
GreenLayer.blendingMode = BlendingMode.ADD;

var BlueLayer = SplitLayer.duplicate();
BlueLayer.name = "Blue";

SplitLayer.name = "Original Backup"
AcComp.layer("Original Backup").enabled = false;

// Presets

var ControllerPresetPath = ("C:/Program Files/Adobe/Adobe After Effects CS3/Support Files/Presets/Jorrit Schulte/RGB Split 1.0/1. Controller.ffx");
var ControllerPreset = File(ControllerPresetPath);
if (ControllerPreset.exists == true) {
   Controller.applyPreset(ControllerPreset);
} else {
   alert("Install the Controller preset correctly");
}

AcComp.layer("RGB Split Controller").selected = false;
AcComp.layer("Red").selected = true;

var RedPresetPath = ("C:/Program Files/Adobe/Adobe After Effects CS3/Support Files/Presets/Jorrit Schulte/RGB Split 1.0/2. Red.ffx");
var RedPreset = File(RedPresetPath);
if (RedPreset.exists == true) {
   AcComp.layer("Red").applyPreset(RedPreset);
} else {
   alert("Install the Red preset correctly");
}

AcComp.layer("Red").selected = false;
AcComp.layer("Green").selected = true;

var GreenPresetPath = ("C:/Program Files/Adobe/Adobe After Effects CS3/Support Files/Presets/Jorrit Schulte/RGB Split 1.0/3. Green.ffx");
var GreenPreset = File(GreenPresetPath);
if (GreenPreset.exists == true) {
   AcComp.layer("Green").applyPreset(GreenPreset);
} else {
   alert("Install the Green preset correctly");
}

AcComp.layer("Green").selected = false;
AcComp.layer("Blue").selected = true;

var BluePresetPath = ("C:/Program Files/Adobe/Adobe After Effects CS3/Support Files/Presets/Jorrit Schulte/RGB Split 1.0/4. Blue.ffx");
var BluePreset = File(BluePresetPath);
if (BluePreset.exists == true) {
   AcComp.layer("Blue").applyPreset(BluePreset);
} else {
   alert("Install the Blue preset correctly");
}

// Select Controller

AcComp.layer("Blue").selected = false;
AcComp.layer("RGB Split Controller").selected = true;

// End